﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Windows.Devices.Geolocation;
using Windows.Foundation;

namespace MapControlSamples.Models
{
    public class Team
    {
        public Team(string teamName, string division, string stadiumName,
            double stadiumLatitude, double stadiumLongitude)
        {
            this.TeamName = teamName;
            this.Division = division;
            this.StadiumName = stadiumName;

            BasicGeoposition stadiumGeopoistion = new BasicGeoposition();
            stadiumGeopoistion.Latitude = stadiumLatitude;
            stadiumGeopoistion.Longitude = stadiumLongitude;
            this.StadiumLocation = new Geopoint(stadiumGeopoistion);

            // work around
            this.NAP = new Point(0.5, 0.5);
            this.ImageSource = new Uri("ms-appx:///Assets/Football.png");
        }

        public string TeamName { get; set; }
        public Uri ImageSource { get; set; }
        public string Division { get; set; }
        public string StadiumName { get; set; }
        public Geopoint StadiumLocation { get; set; }
        public Point NAP { get; set; }

    }

}
